@font-face {
  font-family: "Yekan_Bakh";
  src: url("./assets/fonts/IRANYekanWebLight.ttf");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Yekan_Bakh";
  src: url("./assets/fonts/IRANYekanWebRegular.ttf");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Yekan_Bakh";
  src: url("./assets/fonts/IRANYekanWebMedium.ttf");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Yekan_Bakh";
  src: url("./assets/fonts/IRANYekanWebBold.ttf");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Square_Sans";
  src: url("./assets/fonts/SquareSansSerif7.ttf");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

html {
  /* From https://magicpattern.design */
  background-color: #ffffff;
  background-image: radial-gradient(#f8a93e 0.5px, transparent 0.5px),
    radial-gradient(#f8a93e 0.5px, #ffffff 0.5px);
  background-size: 20px 20px;
  background-position: 0 0, 10px 10px;
  background-attachment: fixed;
}

._glass {
  /* From https://css.glass */
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(6.9px);
  -webkit-backdrop-filter: blur(6.9px);
}

._bg_filter {
  filter: brightness(0.6) contrast(0.7);
}

._animation_delay_1 {
  animation: fade 12s ease-in-out infinite;
  animation-delay: 0s;
}

._animation_delay_2 {
  animation: fade 12s ease-in-out infinite;
  animation-delay: 4s;
}

._animation_delay_3 {
  animation: fade 12s ease-in-out infinite;
  animation-delay: 8s;
}

@keyframes fade {
  0% {
    opacity: 0;
    transform: translateX(20px) scale(0.98);
  }

  8% {
    opacity: 1;
    transform: translateX(0) scale(1.03);
  }

  33.333% {
    opacity: 1;
    transform: translateX(0) scale(1.03);
  }

  41.333% {
    opacity: 0;
    transform: translateX(-10px) scale(0.98);
  }

  100% {
    opacity: 0;
    transform: translateX(-10px) scale(0.98);
  }
}

#mobile_menu.open {
  right: 0;
}

#media_viewer.open {
  left: 0;
}

img {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  pointer-events: none;
  -webkit-user-drag: none;
  -webkit-user-drag: none;
  -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}
